#!/bin/sh
export PATH='/usr/lib/llvm15/bin/:/usr/lib/ccache/bin:/usr/bin'
printf '%s' 'name:                 streaming-commons
version:              0.2.2.6
visibility:           public
id:                   streaming-commons-0.2.2.6-sJMpINkqD66eWjFAFZMUH
key:                  streaming-commons-0.2.2.6-sJMpINkqD66eWjFAFZMUH
license:              MIT
maintainer:           michael@snoyman.com
author:               Michael Snoyman, Emanuel Borsboom
homepage:             https://github.com/fpco/streaming-commons
synopsis:
    Common lower-level functions needed by various streaming data libraries

description:
    Provides low-dependency functionality commonly needed by various streaming data libraries, such as conduit and pipes.

category:             Data
abi:                  747110b503e79cff152f59e13d7affc5
exposed:              True
exposed-modules:
    Data.Streaming.ByteString.Builder
    Data.Streaming.ByteString.Builder.Buffer Data.Streaming.FileRead
    Data.Streaming.Filesystem Data.Streaming.Network
    Data.Streaming.Network.Internal Data.Streaming.Process
    Data.Streaming.Process.Internal Data.Streaming.Text
    Data.Streaming.Zlib Data.Streaming.Zlib.Lowlevel

import-dirs:          /usr/lib/ghc-9.8.2/site-local/streaming-commons-0.2.2.6
library-dirs:         /usr/lib/ghc-9.8.2/site-local/streaming-commons-0.2.2.6
library-dirs-static:  /usr/lib/ghc-9.8.2/site-local/streaming-commons-0.2.2.6
dynamic-library-dirs: /usr/lib/x86_64-linux-ghc-9.8.2
data-dir:             /usr/share/x86_64-linux-ghc-9.8.2/streaming-commons-0.2.2.6
hs-libraries:         HSstreaming-commons-0.2.2.6-sJMpINkqD66eWjFAFZMUH
depends:
    array-0.5.6.0-inplace async-2.2.5-FErQczqPhVNJFThGiXYNBH
    base-4.19.1.0-inplace bytestring-0.12.1.0-inplace
    directory-1.3.8.1-inplace network-3.1.5.0-B01CCCWWHQOAL2QMfHujv6
    process-1.6.18.0-inplace random-1.2.1.2-AnlDmaF5WL346hMm1YccNe
    stm-2.5.2.1-inplace text-2.1.1-inplace transformers-0.6.1.0-inplace
    unix-2.8.4.0-inplace zlib-0.7.0.0-KA5GJxQbWlMGP8MlxU54pC

haddock-interfaces:
    /usr/share/doc/x86_64-linux-ghc-9.8.2/streaming-commons-0.2.2.6/html/streaming-commons.haddock

haddock-html:
    /usr/share/doc/x86_64-linux-ghc-9.8.2/streaming-commons-0.2.2.6/html
' | '/usr/bin/ghc-pkg-9.8.2' 'update' '-' '--global' '--no-user-package-db' "$@"

